%global		momorel 1
%global         udevdir %(pkg-config --variable=udevdir udev)

Name:           libinput
Version:        1.12.0
Release: 	%{momorel}m%{?dist}
Summary:        Input device library
Group:          System Environment/Libraries
License:        MIT
URL:            http://www.freedesktop.org/wiki/Software/libinput/
Source0:        http://www.freedesktop.org/software/libinput/libinput-%{version}.tar.xz
NoSource: 	0

BuildRequires:  libevdev-devel
BuildRequires:  libudev-devel
BuildRequires:  mtdev-devel
BuildRequires:  libwacom-devel >= 0.20

%description
libinput is a library that handles input devices for display servers and other
applications that need to directly deal with input devices.

It provides device detection, device handling, input device event processing
and abstraction so minimize the amount of custom input code the user of
libinput need to provide the common set of functionality that users expect.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Group:          System Environment/Libraries

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
export  LANG=en_US.utf8
ln -s %{_bindir}/ninja-build ninja
export PATH=`pwd`:$PATH
%meson -Ddebug-gui=false \
       -Ddocumentation=false \
       -Dtests=false \
       -Dudev-dir=%{udevdir}
%meson_build

%install
rm -rf {buildroot}
%{meson_install}

find %{buildroot} -name '*.la' -delete


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING
%{_bindir}/libinput
%{_libdir}/libinput.so.*
%{_libexecdir}/libinput/libinput-debug-events
%{_libexecdir}/libinput/libinput-list-devices
%{_libexecdir}/libinput/libinput-measure
%{_libexecdir}/libinput/libinput-measure-fuzz
%{_libexecdir}/libinput/libinput-measure-touchpad-tap
%{_libexecdir}/libinput/libinput-measure-touch-size
%{_libexecdir}/libinput/libinput-measure-touchpad-pressure
%{_libexecdir}/libinput/libinput-quirks
%{_libexecdir}/libinput/libinput-record
%{_libexecdir}/libinput/libinput-replay
#%%{_libexecdir}/libinput/libinput-measure-trackpoint-range
%{_datadir}/libinput/

%files devel
#%%{_bindir}/libinput-debug-events
#%%{_bindir}/libinput-list-devices
%{_includedir}/libinput.h
%{_libdir}/libinput.so
%{_libdir}/pkgconfig/libinput.pc
%{udevdir}//*
%{_mandir}/man1/*

%changelog
* Tue Sep 25 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.0-1m)
- update to 1.12.0

* Thu May 31 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.7-1m)
- update to 1.10.7

* Wed Mar 28 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.3-1m)
- update to 1.10.3

* Tue Mar 13 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.2-1m)
- update to 1.10.2

* Fri Oct 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-1m)
- update to 1.9.0

* Fri Oct 13 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.3-1m)
- update to 1.8.3

* Wed Jul 05 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.0-1m)
- update to 1.8.0

* Fri Mar 24 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.7.0-1m)
- update to 1.7.0

* Fri Jan 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.0-1m)
- update 1.6.0

* Thu Dec 15 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.3-1m)
- update 1.5.3

* Fri Sep 23 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-1m)
- update 1.5.0

* Tue May 10 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-1m)
- update 1.2.3

* Fri Mar 18 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.2-1m)
- update 1.2.2

* Sun Feb 28 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-1m)
- update 1.2.0

* Tue Jan 26 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.5-1m)
- update 1.1.5

* Mon Jan 04 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.4-1m)
- update 1.1.4

* Sat Oct 31 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.0-1m)
- update 1.1.0

* Sat Jun  6 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.17.0-1m)
- update 0.17.0

* Sun May 17 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.15.0-1m)
- update 0.15.0

* Fri Apr 10 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.13.0-1m)
- update 0.13.0

* Fri Nov 28 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0

* Sun Jul 06 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.0-1m)
- update 0.4.0

* Sat Mar 22 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.0-1m)
- import from fedora

